import { $httpWithMsg } from "../../plugins/axios";
import { QUESTION_API } from "@/constants/constants";

// common select
export const courseQueryApi = (name, enable) => {
  return $httpWithMsg.get(`${QUESTION_API}/course/query`, {
    params: {
      name,
      enable: enable || undefined,
    },
  });
};
export const propertyNameQueryApi = (courseId, name) => {
  return $httpWithMsg.get(`${QUESTION_API}/courseProperty/enable`, {
    params: {
      courseId,
      name,
    },
  });
};
export const propertyFirstQueryApi = (coursePropertyId) => {
  return $httpWithMsg.get(`${QUESTION_API}/property/first/${coursePropertyId}`);
};
export const propertySecondQueryApi = (firstPropertyId) => {
  return $httpWithMsg.get(`${QUESTION_API}/property/second/${firstPropertyId}`);
};

// question-manage
export function questionPageListApi(data) {
  const url = `${QUESTION_API}/question/classify/find_classify_content`;
  return $httpWithMsg.post(url, {}, { params: data });
}
export function deleteQuestionApi(questionId) {
  return $httpWithMsg.post(
    `${QUESTION_API}/paper/deleteQuestion/${questionId}`
  );
}
export function moveQuestionApi(questionIdList, targetClassifyId) {
  return $httpWithMsg.post(
    `${QUESTION_API}/question/classify/move_questions_to_classify`,
    {},
    {
      params: { questionIdList, targetClassifyId },
    }
  );
}
export function copyQuestionApi(questionId) {
  return $httpWithMsg.post(`${QUESTION_API}/paper/copyQuestion/`, {
    params: { questionId },
  });
}
export function importQuestionApi(data, headData) {
  return $httpWithMsg.post(`${QUESTION_API}/paper/copyQuestion/`, data, {
    headers: headData,
  });
}
export function updateQuestionApi(data) {
  return $httpWithMsg.post(`${QUESTION_API}/question/save`, data, {
    params: { courseId: data.courseId },
  });
  // return Promise.resolve(data);
}
// statistics
import distributionData from "./datas/distributionData.json";
export function questionDistributionStatisticsApi(courseId) {
  // return $httpWithMsg.post(`${QUESTION_API}/question/statistic/distribution`, {
  //   params: { courseId },
  // });
  return Promise.resolve({ data: distributionData, courseId });
}
import distributionPropData from "./datas/distributionPropData.json";
export function questionPropertyDistributionStatisticsApi(data) {
  // return $httpWithMsg.post(
  //   `${QUESTION_API}/question/statistic/property_distribution`,
  //   {
  //     params: data,
  //   }
  // );
  return Promise.resolve({ data: distributionPropData, filter: data });
}
// classify-manage
export function classifyListApi(parentId) {
  return $httpWithMsg.post(
    `${QUESTION_API}/question/classify/list`,
    {},
    {
      params: { parentId },
    }
  );
}
export function classifyTreeApi() {
  return $httpWithMsg.post(`${QUESTION_API}/question/classify/find_all`, {});
}
export function updateClassifyApi(datas) {
  return $httpWithMsg.post(`${QUESTION_API}/question/classify/save`, datas);
}
export function deleteClassifyApi(questionClassifyIdList) {
  return $httpWithMsg.post(`${QUESTION_API}/question/classify/dalete`, {
    questionClassifyIdList,
  });
}
export function moveClassifyApi(movedClassifyId, targetClassifyId) {
  return $httpWithMsg.post(
    `${QUESTION_API}/question/classify/move`,
    {},
    {
      params: { movedClassifyId, targetClassifyId },
    }
  );
}
